RagTime5SpreadsheetInternal::BorderPLC Struct Reference

a border style PLC More...

## Public Member Functions
| BorderPLC ()
| constructor
| BorderPLC (std::vector< int > const &values)
| constructor
bool | isMergedBorder () const
| returns true if the cell is a merged cell
int | getBorderGraphicStyleId (bool prevCell) const
| returns the graphic style border id corresponding to this cell
bool | operator== (BorderPLC const &plc) const
| operator==
bool | operator!= (BorderPLC const &plc) const
| operator!=

## Public Attributes
std::vector< int > | m_values
| the values

## Friends
std::ostream & | operator<< (std::ostream &o, BorderPLC const &plc)
| operator<<

## Detailed Description

a border style PLC

## Constructor & Destructor Documentation

## ◆ BorderPLC() [1/2]

RagTime5SpreadsheetInternal::BorderPLC::BorderPLC | ( |  | ) |
| inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## ◆ BorderPLC() [2/2]

RagTime5SpreadsheetInternal::BorderPLC::BorderPLC | ( | std::vector< int > const & | values | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ getBorderGraphicStyleId()

int RagTime5SpreadsheetInternal::BorderPLC::getBorderGraphicStyleId | ( | bool | prevCell | ) | const
| inline

returns the graphic style border id corresponding to this cell

Referenced by RagTime5Spreadsheet::send().

## ◆ isMergedBorder()

bool RagTime5SpreadsheetInternal::BorderPLC::isMergedBorder | ( |  | ) | const
| inline

returns true if the cell is a merged cell

## ◆ operator!=()

bool RagTime5SpreadsheetInternal::BorderPLC::operator!= | ( | BorderPLC const & | plc | ) | const
| inline

operator!=

## ◆ operator==()

bool RagTime5SpreadsheetInternal::BorderPLC::operator== | ( | BorderPLC const & | plc | ) | const
| inline

operator==

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | BorderPLC const & | plc )
| friend

operator<<

## Member Data Documentation

## ◆ m_values

std::vector<int> RagTime5SpreadsheetInternal::BorderPLC::m_values

the values

Referenced by BorderPLC(), BorderPLC(), getBorderGraphicStyleId(), isMergedBorder(), operator<<, and operator==().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx